<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:30 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
SystemDefaultHttpClient (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SystemDefaultHttpClient (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SystemDefaultHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/StandardHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/TargetAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/SystemDefaultHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SystemDefaultHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client</FONT>
<BR>
Class SystemDefaultHttpClient</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.CloseableHttpClient</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.AbstractHttpClient</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">org.apache.http.impl.client.DefaultHttpClient</A>
              <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.SystemDefaultHttpClient</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/client/HttpClientBuilder.html" title="class in org.apache.http.impl.client"><CODE>HttpClientBuilder</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/ThreadSafe.html?is-external=true" title="class or interface in org.apache.http.annotation">@ThreadSafe</A>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public class <B>SystemDefaultHttpClient</B><DT>extends <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">DefaultHttpClient</A></DL>
</PRE>

<P>
An extension of <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client"><CODE>DefaultHttpClient</CODE></A> pre-configured using system properties.
 <p>
 The following system properties are taken into account by this class:
 <ul>
  <li>ssl.TrustManagerFactory.algorithm</li>
  <li>javax.net.ssl.trustStoreType</li>
  <li>javax.net.ssl.trustStore</li>
  <li>javax.net.ssl.trustStoreProvider</li>
  <li>javax.net.ssl.trustStorePassword</li>
  <li>java.home</li>
  <li>ssl.KeyManagerFactory.algorithm</li>
  <li>javax.net.ssl.keyStoreType</li>
  <li>javax.net.ssl.keyStore</li>
  <li>javax.net.ssl.keyStoreProvider</li>
  <li>javax.net.ssl.keyStorePassword</li>
  <li>http.proxyHost</li>
  <li>http.proxyPort</li>
  <li>http.nonProxyHosts</li>
  <li>http.keepAlive</li>
  <li>http.maxConnections</li>
 </ul>
 <p>
 <p>
 The following parameters can be used to customize the behavior of this
 class:
 <ul>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#PROTOCOL_VERSION" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.PROTOCOL_VERSION</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#STRICT_TRANSFER_ENCODING" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.STRICT_TRANSFER_ENCODING</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#HTTP_ELEMENT_CHARSET" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.HTTP_ELEMENT_CHARSET</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#USE_EXPECT_CONTINUE" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.USE_EXPECT_CONTINUE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#WAIT_FOR_CONTINUE" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.WAIT_FOR_CONTINUE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#USER_AGENT" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.USER_AGENT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#TCP_NODELAY" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.TCP_NODELAY</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_TIMEOUT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_TIMEOUT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_LINGER" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_LINGER</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_REUSEADDR" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_REUSEADDR</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SOCKET_BUFFER_SIZE" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SOCKET_BUFFER_SIZE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#CONNECTION_TIMEOUT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.CONNECTION_TIMEOUT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_LINE_LENGTH" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_LINE_LENGTH</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_HEADER_COUNT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_HEADER_COUNT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#STALE_CONNECTION_CHECK" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.STALE_CONNECTION_CHECK</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#FORCED_ROUTE"><CODE>ConnRoutePNames.FORCED_ROUTE</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#LOCAL_ADDRESS"><CODE>ConnRoutePNames.LOCAL_ADDRESS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#DEFAULT_PROXY"><CODE>ConnRoutePNames.DEFAULT_PROXY</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/cookie/params/CookieSpecPNames.html#DATE_PATTERNS"><CODE>CookieSpecPNames.DATE_PATTERNS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/cookie/params/CookieSpecPNames.html#SINGLE_COOKIE_HEADER"><CODE>CookieSpecPNames.SINGLE_COOKIE_HEADER</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/auth/params/AuthPNames.html#CREDENTIAL_CHARSET"><CODE>AuthPNames.CREDENTIAL_CHARSET</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#COOKIE_POLICY"><CODE>ClientPNames.COOKIE_POLICY</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#HANDLE_AUTHENTICATION"><CODE>ClientPNames.HANDLE_AUTHENTICATION</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#HANDLE_REDIRECTS"><CODE>ClientPNames.HANDLE_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#MAX_REDIRECTS"><CODE>ClientPNames.MAX_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#ALLOW_CIRCULAR_REDIRECTS"><CODE>ClientPNames.ALLOW_CIRCULAR_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#VIRTUAL_HOST"><CODE>ClientPNames.VIRTUAL_HOST</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#DEFAULT_HOST"><CODE>ClientPNames.DEFAULT_HOST</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#DEFAULT_HEADERS"><CODE>ClientPNames.DEFAULT_HEADERS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#CONN_MANAGER_TIMEOUT"><CODE>ClientPNames.CONN_MANAGER_TIMEOUT</CODE></A></li>
 </ul>
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html#SystemDefaultHttpClient()">SystemDefaultHttpClient</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html#SystemDefaultHttpClient(org.apache.http.params.HttpParams)">SystemDefaultHttpClient</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html#createClientConnectionManager()">createClientConnectionManager</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html#createConnectionReuseStrategy()">createConnectionReuseStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html#createHttpRoutePlanner()">createHttpRoutePlanner</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.DefaultHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client">DefaultHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#createHttpParams()">createHttpParams</A>, <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#createHttpProcessor()">createHttpProcessor</A>, <A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html#setDefaultHttpParams(org.apache.http.params.HttpParams)">setDefaultHttpParams</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.AbstractHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">AbstractHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addRequestInterceptor(org.apache.http.HttpRequestInterceptor)">addRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addRequestInterceptor(org.apache.http.HttpRequestInterceptor, int)">addRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addResponseInterceptor(org.apache.http.HttpResponseInterceptor)">addResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#addResponseInterceptor(org.apache.http.HttpResponseInterceptor, int)">addResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#clearRequestInterceptors()">clearRequestInterceptors</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#clearResponseInterceptors()">clearResponseInterceptors</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#close()">close</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createAuthSchemeRegistry()">createAuthSchemeRegistry</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">createClientRequestDirector</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createConnectionKeepAliveStrategy()">createConnectionKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCookieSpecRegistry()">createCookieSpecRegistry</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCookieStore()">createCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createCredentialsProvider()">createCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpContext()">createHttpContext</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpRequestRetryHandler()">createHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createProxyAuthenticationHandler()">createProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createProxyAuthenticationStrategy()">createProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createRedirectHandler()">createRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createRequestExecutor()">createRequestExecutor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createTargetAuthenticationHandler()">createTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createTargetAuthenticationStrategy()">createTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createUserTokenHandler()">createUserTokenHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#determineParams(org.apache.http.HttpRequest)">determineParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#doExecute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">doExecute</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getAuthSchemes()">getAuthSchemes</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getBackoffManager()">getBackoffManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionBackoffStrategy()">getConnectionBackoffStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionKeepAliveStrategy()">getConnectionKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionManager()">getConnectionManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getConnectionReuseStrategy()">getConnectionReuseStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCookieSpecs()">getCookieSpecs</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCookieStore()">getCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getCredentialsProvider()">getCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getHttpProcessor()">getHttpProcessor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getHttpRequestRetryHandler()">getHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getParams()">getParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getProxyAuthenticationHandler()">getProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getProxyAuthenticationStrategy()">getProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRedirectHandler()">getRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRedirectStrategy()">getRedirectStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestExecutor()">getRequestExecutor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestInterceptor(int)">getRequestInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRequestInterceptorCount()">getRequestInterceptorCount</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getResponseInterceptor(int)">getResponseInterceptor</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getResponseInterceptorCount()">getResponseInterceptorCount</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getRoutePlanner()">getRoutePlanner</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getTargetAuthenticationHandler()">getTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getTargetAuthenticationStrategy()">getTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#getUserTokenHandler()">getUserTokenHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#removeRequestInterceptorByClass(java.lang.Class)">removeRequestInterceptorByClass</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#removeResponseInterceptorByClass(java.lang.Class)">removeResponseInterceptorByClass</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setAuthSchemes(org.apache.http.auth.AuthSchemeRegistry)">setAuthSchemes</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setBackoffManager(org.apache.http.client.BackoffManager)">setBackoffManager</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setConnectionBackoffStrategy(org.apache.http.client.ConnectionBackoffStrategy)">setConnectionBackoffStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCookieSpecs(org.apache.http.cookie.CookieSpecRegistry)">setCookieSpecs</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCookieStore(org.apache.http.client.CookieStore)">setCookieStore</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setCredentialsProvider(org.apache.http.client.CredentialsProvider)">setCredentialsProvider</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setHttpRequestRetryHandler(org.apache.http.client.HttpRequestRetryHandler)">setHttpRequestRetryHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setKeepAliveStrategy(org.apache.http.conn.ConnectionKeepAliveStrategy)">setKeepAliveStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setParams(org.apache.http.params.HttpParams)">setParams</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setProxyAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">setProxyAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setProxyAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy)">setProxyAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRedirectHandler(org.apache.http.client.RedirectHandler)">setRedirectHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRedirectStrategy(org.apache.http.client.RedirectStrategy)">setRedirectStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setReuseStrategy(org.apache.http.ConnectionReuseStrategy)">setReuseStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setRoutePlanner(org.apache.http.conn.routing.HttpRoutePlanner)">setRoutePlanner</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setTargetAuthenticationHandler(org.apache.http.client.AuthenticationHandler)">setTargetAuthenticationHandler</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setTargetAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy)">setTargetAuthenticationStrategy</A>, <A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#setUserTokenHandler(org.apache.http.client.UserTokenHandler)">setUserTokenHandler</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.client.CloseableHttpClient"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html" title="class in org.apache.http.impl.client">CloseableHttpClient</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)">execute</A>, <A HREF="../../../../../org/apache/http/impl/client/CloseableHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SystemDefaultHttpClient(org.apache.http.params.HttpParams)"><!-- --></A><H3>
SystemDefaultHttpClient</H3>
<PRE>
public <B>SystemDefaultHttpClient</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="SystemDefaultHttpClient()"><!-- --></A><H3>
SystemDefaultHttpClient</H3>
<PRE>
public <B>SystemDefaultHttpClient</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createClientConnectionManager()"><!-- --></A><H3>
createClientConnectionManager</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A> <B>createClientConnectionManager</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createClientConnectionManager()">createClientConnectionManager</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">AbstractHttpClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createHttpRoutePlanner()"><!-- --></A><H3>
createHttpRoutePlanner</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A> <B>createHttpRoutePlanner</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createHttpRoutePlanner()">createHttpRoutePlanner</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">AbstractHttpClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createConnectionReuseStrategy()"><!-- --></A><H3>
createConnectionReuseStrategy</H3>
<PRE>
protected <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A> <B>createConnectionReuseStrategy</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html#createConnectionReuseStrategy()">createConnectionReuseStrategy</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client">AbstractHttpClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SystemDefaultHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/StandardHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/TargetAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/SystemDefaultHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SystemDefaultHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
